#!/bin/bash
#SBATCH -N 2
#SBATCH --gres=gpu:4
#SBATCH --qos=gpugpu

export LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH

module load compilers/cuda/11.3

module load compilers/gcc/9.3.0

module load mpi/openmpi4.1.1-gcc9.3

mpirun -np 8 ./PanguLU -NB 100 -F rajat03.mtx
